=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2011-03-01 11:40:52 +0000
+++ drizzled/sql_yacc.yy	2011-03-09 06:09:45 +0000
@@ -1051,11 +1051,11 @@
           }
         | REPLICATE opt_equal TRUE_SYM
           {
-            Lex->table()->mutable_options()->set_dont_replicate(false);
+	    message::set_is_replicated(*Lex->table(), true);
           }
         | REPLICATE opt_equal FALSE_SYM
           {
-            Lex->table()->mutable_options()->set_dont_replicate(true);
+	    message::set_is_replicated(*Lex->table(), false);
           }
         |  ROW_FORMAT_SYM equal row_format_or_text
           {

=== modified file 'tests/r/replication_schema_ddl.result'
--- tests/r/replication_schema_ddl.result	2011-02-22 22:22:26 +0000
+++ tests/r/replication_schema_ddl.result	2011-03-09 06:09:45 +0000
@@ -16,14 +16,14 @@
 B	CREATE TABLE `B` (
   `A` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
   UNIQUE KEY `A` (`A`)
-) ENGINE=InnoDB COLLATE = utf8_general_ci
+) ENGINE=InnoDB COLLATE = utf8_general_ci REPLICATE = FALSE
 SELECT SCHEMA_NAME, IS_REPLICATED FROM DATA_DICTIONARY.SCHEMAS WHERE SCHEMA_NAME="A";
 SCHEMA_NAME	IS_REPLICATED
 A	YES
 SELECT TABLE_NAME, IS_REPLICATED FROM DATA_DICTIONARY.TABLES WHERE TABLE_SCHEMA="A";
 TABLE_NAME	IS_REPLICATED
 A	YES
-B	YES
+B	NO
 DROP SCHEMA A;
 CREATE SCHEMA A REPLICATE = FALSE;
 SHOW CREATE SCHEMA A;

=== modified file 'tests/r/replication_table_ddl.result'
--- tests/r/replication_table_ddl.result	2011-02-22 21:41:05 +0000
+++ tests/r/replication_table_ddl.result	2011-03-09 06:09:45 +0000
@@ -12,5 +12,5 @@
 A	CREATE TABLE `A` (
   `A` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
   UNIQUE KEY `A` (`A`)
-) ENGINE=InnoDB COLLATE = utf8_general_ci
+) ENGINE=InnoDB COLLATE = utf8_general_ci REPLICATE = FALSE
 DROP TABLE A;

=== modified file 'tests/suite/regression/r/731189.result'
--- tests/suite/regression/r/731189.result	2011-03-08 19:26:05 +0000
+++ tests/suite/regression/r/731189.result	2011-03-09 06:09:45 +0000
@@ -3,5 +3,5 @@
 Table	Create Table
 t3	CREATE TABLE `t3` (
   `a` INT DEFAULT NULL
-) ENGINE=InnoDB COLLATE = utf8_general_ci
+) ENGINE=InnoDB COLLATE = utf8_general_ci REPLICATE = FALSE
 DROP TABLE t3;

